# Class VulkanCommandPoolCreateInfo.Builder

java.lang.Object
com.io7m.jcoronado.api.VulkanCommandPoolCreateInfo.Builder

Enclosing class:
  `VulkanCommandPoolCreateInfo`

public static final class VulkanCommandPoolCreateInfo.Builder extends Object
Builds instances of type `VulkanCommandPoolCreateInfo`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final VulkanCommandPoolCreateInfo.Builder`
  `addAllFlags(Iterable<VulkanCommandPoolCreateFlag> elements)`
  Adds elements to `flags` set.
  `final VulkanCommandPoolCreateInfo.Builder`
  `addFlags(VulkanCommandPoolCreateFlag element)`
  Adds one element to `flags` set.
  `final VulkanCommandPoolCreateInfo.Builder`
  `addFlags(VulkanCommandPoolCreateFlag... elements)`
  Adds elements to `flags` set.
  `VulkanCommandPoolCreateInfo`
  `build()`
  Builds a new `VulkanCommandPoolCreateInfo`.
  `final VulkanCommandPoolCreateInfo.Builder`
  `from(VulkanCommandPoolCreateInfoType instance)`
  Fill a builder with attribute values from the provided `VulkanCommandPoolCreateInfoType` instance.
  `final VulkanCommandPoolCreateInfo.Builder`
  `setFlags(Iterable<VulkanCommandPoolCreateFlag> elements)`
  Sets or replaces all elements for `flags` set.
  `final VulkanCommandPoolCreateInfo.Builder`
  `setQueueFamilyIndex(VulkanQueueFamilyIndex queueFamilyIndex)`
  Initializes the value for the `queueFamilyIndex` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final VulkanCommandPoolCreateInfo.Builder from(VulkanCommandPoolCreateInfoType instance)
    Fill a builder with attribute values from the provided `VulkanCommandPoolCreateInfoType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values. Collection elements and entries will be added, not replaced.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### addFlags

    public final VulkanCommandPoolCreateInfo.Builder addFlags(VulkanCommandPoolCreateFlag element)
    Adds one element to `flags` set.
    Parameters:
      `element` - A flags element
    Returns:
      `this` builder for use in a chained invocation

  - ### addFlags

    public final VulkanCommandPoolCreateInfo.Builder addFlags(VulkanCommandPoolCreateFlag... elements)
    Adds elements to `flags` set.
    Parameters:
      `elements` - An array of flags elements
    Returns:
      `this` builder for use in a chained invocation

  - ### setFlags

    public final VulkanCommandPoolCreateInfo.Builder setFlags(Iterable<VulkanCommandPoolCreateFlag> elements)
    Sets or replaces all elements for `flags` set.
    Parameters:
      `elements` - An iterable of flags elements
    Returns:
      `this` builder for use in a chained invocation

  - ### addAllFlags

    public final VulkanCommandPoolCreateInfo.Builder addAllFlags(Iterable<VulkanCommandPoolCreateFlag> elements)
    Adds elements to `flags` set.
    Parameters:
      `elements` - An iterable of flags elements
    Returns:
      `this` builder for use in a chained invocation

  - ### setQueueFamilyIndex

    public final VulkanCommandPoolCreateInfo.Builder setQueueFamilyIndex(VulkanQueueFamilyIndex queueFamilyIndex)
    Initializes the value for the `queueFamilyIndex` attribute.
    Parameters:
      `queueFamilyIndex` - The value for queueFamilyIndex
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public VulkanCommandPoolCreateInfo build()
    Builds a new `VulkanCommandPoolCreateInfo`.
    Returns:
      An immutable instance of VulkanCommandPoolCreateInfo
    Throws:
      `IllegalStateException` - if any required attributes are missing